Page MenuHomePhabricator

Rename user namespace in Javanese wikis: 'Panganggo' to 'Naraguna'
Closed, ResolvedPublic

Description

This action also change user talk namespace from ''Parembugan_Panganggo'' to ''Parembugan_Naraguna'' and add 'Panganggo' => NS_USER and 'Parembugan_Panganggo' => NS_USER_TALK into $namespaceAliases.

Related discussion

Event Timeline

N219 created this task.May 14 2020, 8:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2020, 8:59 AM
N219 updated the task description. (Show Details)May 14 2020, 9:06 AM

We can do this at the same time as https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/595469/

Once I've broke/fixed a few other things, I will have a look.

@N219: I am asking you again to PLEASE follow https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes (basically: setting the Wikimedia-Site-requests project tag when creating such site configuration requests). Thanks.

N219 added a comment.EditedMay 14 2020, 9:35 AM

@N219: I am asking you again to PLEASE follow https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes (basically: setting the Wikimedia-Site-requests project tag when creating such site configuration requests). Thanks.

Pardon me, I forgot. I will not repeat my mistake again.

@N219: I will see if we can do it alongside T252343

Reedy added a subscriber: Reedy.May 14 2020, 11:40 AM

Before this is actioned as site config change... Is there any reason this shouldn't be done in MediaWiki itself, and the old name left as an alias?

Would the Javanese Wiktionary want/benefit from this?

Like, what is the difference betwen Panganggo and Naraguna?

N219 added a comment.May 14 2020, 12:08 PM

Before this is actioned as site config change... Is there any reason this shouldn't be done in MediaWiki itself, and the old name left as an alias?

Would the Javanese Wiktionary want/benefit from this?

Like, what is the difference betwen Panganggo and Naraguna?

Actually, this case is the same as T234792, where the word 'panganggo' is a loanword from Indonesian pengguna and not the direct translation of the word 'user'. In addition, 'panganggo' in Javanese has many meanings such as, how to use; clothes; etc. thus making this word ambiguous.
To avoid ambiguity, we then propose two words to the community 'naraguna' and 'kang nganggo'. 'Naraguna' comes from the words 'nara-' and 'guna'. According to tradition, we Javanese usually add the prefix 'nara-' to verbs like the English people add the suffix '-er' to the verb, to show person (like narahubung means contact person). 'guna' means use. So, Naraguna means 'the person who use (Wikipedia)' or simply, user.
We don't use term 'Kang nganggo' because emm.. community consensus. (We think this term is long).

Restricted Application added a project: User-RhinosF1. · View Herald TranscriptMay 14 2020, 12:21 PM

Change 596424 had a related patch set uploaded (by RhinosF1; owner: RhinosF1):
[mediawiki/core@master] Rename NS_USER(_TALK) on jv language to 'Naraguna'

https://gerrit.wikimedia.org/r/596424

@N219: Thanks for reporting, We have chosen to make this change in Mediawiki Core.

This means it will apply to all Javanese wikis but as there is no train next week, it does mean the earliest it will land on your wiki is 2pm on the 28th May.

Thanks for your understanding!

Before this is actioned as site config change... Is there any reason this shouldn't be done in MediaWiki itself, and the old name left as an alias?

Would the Javanese Wiktionary want/benefit from this?

Like, what is the difference betwen Panganggo and Naraguna?

I do note, I didn't actually read the topic completely

in Javanese wikis

So yeah, the original request was for it to be renamed everywhere :)

I do note, I didn't actually read the topic completely

Heh, Creating that patch I picked the wrong namespace in the title and repo so we're both having long weeks :)

RhinosF1 updated the task description. (Show Details)May 14 2020, 12:56 PM
RhinosF1 updated the task description. (Show Details)
N219 added a comment.May 14 2020, 1:52 PM

btw this change will apply to all Javanese wikis right? I think so.

btw this change will apply to all Javanese wikis right? I think so.

Correct

N219 added a comment.May 14 2020, 2:08 PM

@RhinosF1: May I ask you a question?
Actually, our community also agreed to change the words 'password' and 'administrator' from 'tembung wadi' and 'pangurus' to 'tembung sandi' and 'panata' but I don't know where this request was made. Can you tell me where to make a request?

@RhinosF1: May I ask you a question?
Actually, our community also agreed to change the words 'password' and 'administrator' from 'tembung wadi' and 'pangurus' to 'tembung sandi' and 'panata' but I don't know where this request was made. Can you tell me where to make a request?

You should be able to change them via https://translatewiki.net/wiki/Translating:MediaWiki

N219 added a comment.May 14 2020, 9:42 PM

16 years since the Javanese Wikipedia was built, but only recently have we found a lot of wrong vocabulary in it, so we feel we have to change it. maybe we will continue to work together for the next few weeks. Thankyou for your help.

16 years since the Javanese Wikipedia was built, but only recently have we found a lot of wrong vocabulary in it, so we feel we have to change it. maybe we will continue to work together for the next few weeks. Thankyou for your help.

No problem. If you need anything, Let me know.

These will shortly be merged to master and will be deployed in the one-off 22:00-23:00 UTC deployment window.

The parent task has the checklist.

Change 596424 merged by jenkins-bot:
[mediawiki/core@master] Rename NS_USER(_TALK) on jv language to 'Naraguna'

https://gerrit.wikimedia.org/r/596424

Change 597246 had a related patch set uploaded (by RhinosF1; owner: RhinosF1):
[mediawiki/core@wmf/1.35.0-wmf.31] Rename NS_USER(_TALK) on jv language to 'Naraguna'

https://gerrit.wikimedia.org/r/597246

Change 597247 had a related patch set uploaded (by RhinosF1; owner: RhinosF1):
[mediawiki/core@wmf/1.35.0-wmf.32] Rename NS_USER(_TALK) on jv language to 'Naraguna'

https://gerrit.wikimedia.org/r/597247

Change 597246 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.31] Rename NS_USER(_TALK) on jv language to 'Naraguna'

https://gerrit.wikimedia.org/r/597246

Change 597247 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.32] Rename NS_USER(_TALK) on jv language to 'Naraguna'

https://gerrit.wikimedia.org/r/597247

Mentioned in SAL (#wikimedia-operations) [2020-05-19T22:53:11Z] <catrope@deploy1001> Started scap: i18n scap for namespace localizations (T251287, T252754)

Mentioned in SAL (#wikimedia-operations) [2020-05-19T23:55:37Z] <catrope@deploy1001> Finished scap: i18n scap for namespace localizations (T251287, T252754) (duration: 62m 26s)

Mentioned in SAL (#wikimedia-operations) [2020-05-19T23:58:58Z] <RoanKattouw> Ran namespaceDupes.php on jvwiki and jvwiktionary for T252754

RhinosF1 closed this task as Resolved.May 20 2020, 12:00 AM

Deployed!